Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 595548 - [Broadcom 5.6 bug] bnx2i: MTU change does not work
Summary: [Broadcom 5.6 bug] bnx2i: MTU change does not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.6
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: 5.6
Assignee: Mike Christie
QA Contact: Network QE
URL:
Whiteboard:
Depends On: 568606 578005 586352
Blocks: 623993
TreeView+ depends on / blocked
 
Reported: 2010-05-24 22:58 UTC by Michael Chan
Modified: 2011-02-14 08:27 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 578005
Environment:
Last Closed: 2011-01-13 21:33:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 10:37:42 UTC

Description Michael Chan 2010-05-24 22:58:04 UTC
+++ This bug was initially created as a clone of Bug #578005 +++

MTU change (or other network reset events) with active iSCSI sessions will fail.  iSCSI sessions do not recover and resources are leaked.

This upstream patch will fix it:

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=490475a9938f3480e1ab3a67063e547cea41c295

Requesting this to be included in RHEL5.5.z.

Comment 2 RHEL Product and Program Management 2010-05-25 19:32:14 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 Jarod Wilson 2010-09-15 14:01:22 UTC
in kernel-2.6.18-221.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.

Comment 9 edwardn 2010-10-14 16:54:11 UTC
With kernel-2.6.18-221.el5 and 	iscsi-initiator-utils-6.2.0.872-10 (uIP 0.5.15), iSCSI sessions still do not recover after changing MTU sizes.  The problem appears to be uIP-related since it does work when I add a newer internal version of uIP on top of the above components.

Comment 10 edwardn 2010-10-14 16:58:11 UTC
Slight mistake to the above iscsi-initiator version... it should be iscsi-initiator-utils-6.2.0.872-2.el5.x86_64.rpm (the latest RH5.6 initiator at the moment... http://people.redhat.com/mchristi/iscsi/rhel5.6/iscsi-initiator-utils/).  

Revised:
With kernel-2.6.18-221.el5 and  iscsi-initiator-utils-6.2.0.872-2 (uIP
0.5.15), iSCSI sessions still do not recover after changing MTU sizes.  The
problem appears to be uIP-related since it does work when I add a newer
internal version of uIP on top of the above components.

Comment 11 Mike Christie 2010-10-14 20:33:43 UTC
Hey Edward,

What is still needed? Is iscsi-initiator-utils's uip missing a patch from another bugzilla?

Comment 16 edwardn 2010-11-20 00:54:59 UTC
This problem is no longer seen with kernel-2.6.18-232.el5 and iscsi-initiator-utils-6.2.0.872-6.el5.x86_64.rpm (uIP 0.6.2.2).

Comment 19 errata-xmlrpc 2011-01-13 21:33:56 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html


Note You need to log in before you can comment on or make changes to this bug.